## opencv 2.4.8+dfsg1

=== apps/CMakeLists.txt ===
link_libraries(${OPENCV_LINKER_LIBS})

add_subdirectory(haartraining)
add_subdirectory(traincascade)

=== data/CMakeLists.txt ===
file(GLOB HAAR_CASCADES haarcascades/*.xml)
file(GLOB LBP_CASCADES lbpcascades/*.xml)

if(ANDROID)
  install(FILES ${HAAR_CASCADES} DESTINATION sdk/etc/haarcascades COMPONENT main)
  install(FILES ${LBP_CASCADES}  DESTINATION sdk/etc/lbpcascades  COMPONENT main)
elseif(NOT WIN32)
  install(FILES ${HAAR_CASCADES} DESTINATION share/OpenCV/haarcascades COMPONENT main)
  install(FILES ${LBP_CASCADES}  DESTINATION share/OpenCV/lbpcascades  COMPONENT main)
endif()

=== doc/CMakeLists.txt ===
#
#  CMake file for OpenCV docs
#

if(BUILD_DOCS AND HAVE_SPHINX)

  project(opencv_docs)

  set(DOC_LIST
      "${OpenCV_SOURCE_DIR}/doc/opencv-logo.png"
      "${OpenCV_SOURCE_DIR}/doc/opencv-logo2.png"
      "${OpenCV_SOURCE_DIR}/doc/opencv-logo-white.png"
      "${OpenCV_SOURCE_DIR}/doc/opencv.ico"
      "${OpenCV_SOURCE_DIR}/doc/pattern.png"
      "${OpenCV_SOURCE_DIR}/doc/acircles_pattern.png")
  if(NOT INSTALL_CREATE_DISTRIB)
    list(APPEND DOC_LIST "${OpenCV_SOURCE_DIR}/doc/haartraining.htm")
  endif()

  set(OPTIONAL_DOC_LIST "")


  # build lists of modules to be documented
  set(BASE_MODULES "")
  set(EXTRA_MODULES "")

  foreach(mod ${OPENCV_MODULES_BUILD} ${OPENCV_MODULES_DISABLED_USER} ${OPENCV_MODULES_DISABLED_AUTO} ${OPENCV_MODULES_DISABLED_FORCE})
    string(REGEX REPLACE "^opencv_" "" mod "${mod}")
    if("${OPENCV_MODULE_opencv_${mod}_LOCATION}" STREQUAL "${OpenCV_SOURCE_DIR}/modules/${mod}")
      list(APPEND BASE_MODULES ${mod})
    else()
      list(APPEND EXTRA_MODULES ${mod})
    endif()
  endforeach()

  set(FIXED_ORDER_MODULES core imgproc highgui video calib3d features2d objdetect ml flann gpu photo stitching nonfree contrib legacy)

  list(REMOVE_ITEM BASE_MODULES ${FIXED_ORDER_MODULES})

  ocv_list_sort(BASE_MODULES)
  ocv_list_sort(EXTRA_MODULES)

  set(BASE_MODULES ${FIXED_ORDER_MODULES} ${BASE_MODULES})

  # build lists of documentation files and generate table of contents for reference manual

  set(DOC_FAKE_ROOT "${CMAKE_CURRENT_BINARY_DIR}/fake-root")
  set(DOC_FAKE_ROOT_FILES "")

  function(ocv_doc_add_file_to_fake_root source destination)
    add_custom_command(
      OUTPUT "${DOC_FAKE_ROOT}/${destination}"
      COMMAND "${CMAKE_COMMAND}" -E copy "${source}" "${DOC_FAKE_ROOT}/${destination}"
      DEPENDS "${source}"
      COMMENT "Copying ${destination} to fake root..."
      VERBATIM
    )
    list(APPEND DOC_FAKE_ROOT_FILES "${DOC_FAKE_ROOT}/${destination}")
    set(DOC_FAKE_ROOT_FILES "${DOC_FAKE_ROOT_FILES}" PARENT_SCOPE)
  endfunction()

  function(ocv_doc_add_to_fake_root source)
    if(ARGC GREATER 1)
      set(destination "${ARGV1}")
    else()
      file(RELATIVE_PATH destination "${OpenCV_SOURCE_DIR}" "${source}")
    endif()

    if(IS_DIRECTORY "${source}")
      file(GLOB_RECURSE files RELATIVE "${source}" "${source}/*")

      foreach(file ${files})
        ocv_doc_add_file_to_fake_root("${source}/${file}" "${destination}/${file}")
      endforeach()
    else()
      ocv_doc_add_file_to_fake_root("${source}" "${destination}")
    endif()

    set(DOC_FAKE_ROOT_FILES "${DOC_FAKE_ROOT_FILES}" PARENT_SCOPE)
  endfunction()

  set(OPENCV_REFMAN_TOC "")

  foreach(mod ${BASE_MODULES} ${EXTRA_MODULES})
    if(EXISTS "${OPENCV_MODULE_opencv_${mod}_LOCATION}/doc/${mod}.rst")
      ocv_doc_add_to_fake_root("${OPENCV_MODULE_opencv_${mod}_LOCATION}/doc" modules/${mod}/doc)
      set(OPENCV_REFMAN_TOC "${OPENCV_REFMAN_TOC}   ${mod}/doc/${mod}.rst\n")
    endif()
  endforeach()

  configure_file("${OpenCV_SOURCE_DIR}/modules/refman.rst.in" "${DOC_FAKE_ROOT}/modules/refman.rst" @ONLY)

  ocv_doc_add_to_fake_root("${OpenCV_SOURCE_DIR}/index.rst")
  ocv_doc_add_to_fake_root("${OpenCV_SOURCE_DIR}/doc")
  ocv_doc_add_to_fake_root("${OpenCV_SOURCE_DIR}/platforms/android")
  ocv_doc_add_to_fake_root("${OpenCV_SOURCE_DIR}/samples")

  if(PDFLATEX_COMPILER)
    add_custom_target(docs
      COMMAND ${SPHINX_BUILD} -b latex -c "${CMAKE_CURRENT_SOURCE_DIR}" "${DOC_FAKE_ROOT}" .
      COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/pics ${CMAKE_CURRENT_BINARY_DIR}/doc/opencv1/pics
      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/mymath.sty ${CMAKE_CURRENT_BINARY_DIR}
      COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/patch_refman_latex.py" opencv2refman.tex
      COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/patch_refman_latex.py" opencv2manager.tex
      COMMAND ${CMAKE_COMMAND} -E echo "Generating opencv2refman.pdf"
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv2refman.tex
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv2refman.tex
      COMMAND ${CMAKE_COMMAND} -E echo "Generating opencv2manager.pdf"
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv2manager.tex
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv2manager.tex
      COMMAND ${CMAKE_COMMAND} -E echo "Generating opencv_user.pdf"
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv_user.tex
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv_user.tex
      COMMAND ${CMAKE_COMMAND} -E echo "Generating opencv_tutorials.pdf"
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv_tutorials.tex
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode opencv_tutorials.tex
      COMMAND ${CMAKE_COMMAND} -E echo "Generating opencv_cheatsheet.pdf"
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode "${CMAKE_CURRENT_SOURCE_DIR}/opencv_cheatsheet.tex"
      COMMAND ${PDFLATEX_COMPILER} -interaction=batchmode "${CMAKE_CURRENT_SOURCE_DIR}/opencv_cheatsheet.tex"
      DEPENDS ${DOC_FAKE_ROOT_FILES}
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Generating the PDF Manuals"
      )

    LIST(APPEND OPTIONAL_DOC_LIST "${CMAKE_BINARY_DIR}/doc/opencv2refman.pdf" "${CMAKE_BINARY_DIR}/doc/opencv2manager.pdf"
          "${CMAKE_BINARY_DIR}/doc/opencv_user.pdf" "${CMAKE_BINARY_DIR}/doc/opencv_tutorials.pdf" "${CMAKE_BINARY_DIR}/doc/opencv_cheatsheet.pdf")

    if(ENABLE_SOLUTION_FOLDERS)
      set_target_properties(docs PROPERTIES FOLDER "documentation")
    endif()
  endif()

  add_custom_target(html_docs
    COMMAND "${SPHINX_BUILD}" -b html -c "${CMAKE_CURRENT_SOURCE_DIR}" "${DOC_FAKE_ROOT}" ./_html
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/mymath.sty ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${DOC_FAKE_ROOT_FILES}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating Online Documentation"
    )

  if(ENABLE_SOLUTION_FOLDERS)
    set_target_properties(html_docs PROPERTIES FOLDER "documentation")
  endif()

  foreach(f ${DOC_LIST})
    install(FILES "${f}" DESTINATION "${OPENCV_DOC_INSTALL_PATH}" COMPONENT main)
  endforeach()

  foreach(f ${OPTIONAL_DOC_LIST})
    install(FILES "${f}" DESTINATION "${OPENCV_DOC_INSTALL_PATH}" OPTIONAL)
  endforeach()

endif()

=== include/CMakeLists.txt ===
file(GLOB old_hdrs "opencv/*.h*")
install(FILES ${old_hdrs}
    DESTINATION ${OPENCV_INCLUDE_INSTALL_PATH}/opencv
    COMPONENT main)
install(FILES "opencv2/opencv.hpp"
    DESTINATION ${OPENCV_INCLUDE_INSTALL_PATH}/opencv2
    COMPONENT main)

=== modules/CMakeLists.txt ===
if(NOT OPENCV_MODULES_PATH)
  set(OPENCV_MODULES_PATH "${CMAKE_CURRENT_SOURCE_DIR}")
endif()

ocv_glob_modules(${OPENCV_MODULES_PATH} ${OPENCV_EXTRA_MODULES_PATH})

=== samples/CMakeLists.txt ===
# Detect if we want to build samples with library binaries or not
if(NOT CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_LIST_DIR)
#
# BUILD CASE 1: Build samples with library sources
#


# ----------------------------------------------------------------------------
#  CMake file for samples. See root CMakeLists.txt
#
# ----------------------------------------------------------------------------

add_subdirectory(c)
add_subdirectory(cpp)
add_subdirectory(gpu)
add_subdirectory(ocl)

if(ANDROID AND BUILD_ANDROID_EXAMPLES)
  add_subdirectory(android)
endif()


#
# END OF BUILD CASE 1: Build samples with library sources
#
else()
#
# BUILD CASE 2: Build samples with library binaries
#
cmake_minimum_required(VERSION 2.8)

project(samples C CXX)
option(BUILD_EXAMPLES "Build samples" ON)

find_package(OpenCV REQUIRED)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)

  if(NOT OpenCV_SHARED)
    foreach(flag_var
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif()
      if(${flag_var} MATCHES "/MDd")
        string(REGEX REPLACE "/MDd" "/MTd" ${flag_var} "${${flag_var}}")
      endif()
    endforeach(flag_var)

    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:atlthunk.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcrtd.lib")
    set(CMAKE_EXE_LINKER_FLAGS_DEBUG "${CMAKE_EXE_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:libcmt.lib")
    set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /NODEFAULTLIB:libcmtd.lib")
  endif()
endif()

add_subdirectory(c)
add_subdirectory(cpp)
add_subdirectory(ocl)
# FIXIT: can't use cvconfig.h in samples: add_subdirectory(gpu)

#
# END OF BUILD CASE 2: Build samples with library binaries
#
endif()

=== apps/traincascade/CMakeLists.txt ===
SET(OPENCV_TRAINCASCADE_DEPS opencv_core opencv_ml opencv_imgproc opencv_objdetect opencv_highgui opencv_calib3d opencv_video opencv_features2d opencv_flann opencv_legacy)
ocv_check_dependencies(${OPENCV_TRAINCASCADE_DEPS})

if(NOT OCV_DEPENDENCIES_FOUND)
  return()
endif()

project(traincascade)

ocv_include_directories("${CMAKE_CURRENT_SOURCE_DIR}" "${OpenCV_SOURCE_DIR}/include/opencv")
ocv_include_modules(${OPENCV_TRAINCASCADE_DEPS})

set(traincascade_files traincascade.cpp
  cascadeclassifier.cpp cascadeclassifier.h
  boost.cpp boost.h features.cpp traincascade_features.h
  haarfeatures.cpp haarfeatures.h
  lbpfeatures.cpp lbpfeatures.h
  HOGfeatures.cpp HOGfeatures.h
  imagestorage.cpp imagestorage.h)

set(the_target opencv_traincascade)
add_executable(${the_target} ${traincascade_files})
target_link_libraries(${the_target} ${OPENCV_TRAINCASCADE_DEPS} opencv_haartraining_engine)

set_target_properties(${the_target} PROPERTIES
                      DEBUG_POSTFIX "${OPENCV_DEBUG_POSTFIX}"
                      ARCHIVE_OUTPUT_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                      RUNTIME_OUTPUT_DIRECTORY ${EXECUTABLE_OUTPUT_PATH}
                      INSTALL_NAME_DIR lib
                      OUTPUT_NAME "opencv_traincascade")

if(ENABLE_SOLUTION_FOLDERS)
  set_target_properties(${the_target} PROPERTIES FOLDER "applications")
endif()

if(INSTALL_CREATE_DISTRIB)
  if(BUILD_SHARED_LIBS)
    install(TARGETS ${the_target} RUNTIME DESTINATION ${OPENCV_BIN_INSTALL_PATH} CONFIGURATIONS Release COMPONENT main)
  endif()
else()
  install(TARGETS ${the_target} RUNTIME DESTINATION ${OPENCV_BIN_INSTALL_PATH} COMPONENT main)
endif()

=== modules/androidcamera/CMakeLists.txt ===
IF(NOT ANDROID OR ANDROID_NATIVE_API_LEVEL LESS 8)
  ocv_module_disable(androidcamera)
ENDIF()

set(the_description "Auxiliary module for Android native camera support")
set(OPENCV_MODULE_TYPE STATIC)

ocv_define_module(androidcamera INTERNAL opencv_core log dl)
ocv_include_directories("${CMAKE_CURRENT_SOURCE_DIR}/camera_wrapper" "${OpenCV_SOURCE_DIR}/platforms/android/service/engine/jni/include")

# Android source tree for native camera
SET (ANDROID_SOURCE_TREE "ANDROID_SOURCE_TREE-NOTFOUND" CACHE PATH
  "Path to Android source tree. Set this variable to path to your Android sources to compile libnative_camera_rx.x.x.so for your Android")
SET(BUILD_ANDROID_CAMERA_WRAPPER OFF)
if(ANDROID_SOURCE_TREE)
  FILE(STRINGS "${ANDROID_SOURCE_TREE}/development/sdk/platform_source.properties" ANDROID_VERSION REGEX "Platform\\.Version=[0-9]+\\.[0-9]+(\\.[0-9]+)?" )
  string(REGEX REPLACE "Platform\\.Version=([0-9]+\\.[0-9]+(\\.[0-9]+)?)" "\\1" ANDROID_VERSION "${ANDROID_VERSION}")
  if(ANDROID_VERSION MATCHES "^[0-9]+\\.[0-9]+$")
    SET(ANDROID_VERSION "${ANDROID_VERSION}.0")
  endif()
  if(NOT "${ANDROID_VERSION}" STREQUAL "")
    SET(BUILD_ANDROID_CAMERA_WRAPPER ON)
    set(ANDROID_VERSION "${ANDROID_VERSION}" CACHE INTERNAL "Version of Android source tree")
  endif()
endif()
set(BUILD_ANDROID_CAMERA_WRAPPER ${BUILD_ANDROID_CAMERA_WRAPPER} CACHE INTERNAL "Build new wrapper for Android")
MARK_AS_ADVANCED(ANDROID_SOURCE_TREE)

# process wrapper libs
if(BUILD_ANDROID_CAMERA_WRAPPER)
  add_subdirectory(camera_wrapper)
else()
  file(GLOB camera_wrappers "${CMAKE_CURRENT_SOURCE_DIR}/../../3rdparty/lib/${ANDROID_NDK_ABI_NAME}/libnative_camera_r*.so")

  foreach(wrapper ${camera_wrappers})
    ADD_CUSTOM_COMMAND(
      TARGET ${the_module} POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E copy "${wrapper}" "${LIBRARY_OUTPUT_PATH}"
      )
    get_filename_component(wrapper_name "${wrapper}" NAME)
    install(FILES "${LIBRARY_OUTPUT_PATH}/${wrapper_name}"
            DESTINATION ${OPENCV_LIB_INSTALL_PATH}
            COMPONENT main)
  endforeach()
endif()

=== modules/calib3d/CMakeLists.txt ===
set(the_description "Camera Calibration and 3D Reconstruction")
ocv_define_module(calib3d opencv_imgproc opencv_features2d)

=== modules/contrib/CMakeLists.txt ===
ocv_define_module(contrib opencv_imgproc opencv_calib3d opencv_features2d opencv_ml opencv_video opencv_objdetect OPTIONAL opencv_highgui opencv_nonfree)

=== modules/core/CMakeLists.txt ===
set(the_description "The Core Functionality")

if (NOT HAVE_CUDA OR ENABLE_DYNAMIC_CUDA)
  ocv_add_module(core PRIVATE_REQUIRED ${ZLIB_LIBRARIES})
else()
  ocv_add_module(core PRIVATE_REQUIRED ${ZLIB_LIBRARIES} ${CUDA_LIBRARIES} ${CUDA_npp_LIBRARY})
endif()

ocv_module_include_directories("${OpenCV_SOURCE_DIR}/modules/dynamicuda/include/" ${ZLIB_INCLUDE_DIR})

if(HAVE_WINRT_CX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /ZW")
endif()
if(HAVE_WINRT)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GS /Gm- /AI\"${WINDOWS_SDK_PATH}/References/CommonConfiguration/Neutral\" /AI\"${VISUAL_STUDIO_PATH}/vcpackages\"")
endif()

if(ENABLE_DYNAMIC_CUDA)
  add_definitions(-DDYNAMIC_CUDA_SUPPORT)
else()
  if (HAVE_CUDA)
    add_definitions(-DUSE_CUDA)
  endif()
endif()

if(HAVE_CUDA)
  ocv_include_directories("${OpenCV_SOURCE_DIR}/modules/gpu/include")
  ocv_warnings_disable(CMAKE_CXX_FLAGS -Wundef)
endif()

file(GLOB lib_cuda_hdrs        "include/opencv2/${name}/cuda/*.hpp"        "include/opencv2/${name}/cuda/*.h")
file(GLOB lib_cuda_hdrs_detail "include/opencv2/${name}/cuda/detail/*.hpp" "include/opencv2/${name}/cuda/detail/*.h")

if(HAVE_CUDA AND NOT ENABLE_DYNAMIC_CUDA)
  file(GLOB lib_cuda           "../dynamicuda/src/cuda/*.cu*")
  ocv_include_directories(${CUDA_INCLUDE_DIRS})
  ocv_cuda_compile(cuda_objs ${lib_cuda})
endif()

source_group("Cuda Headers"         FILES ${lib_cuda_hdrs})
source_group("Cuda Headers\\Detail" FILES ${lib_cuda_hdrs_detail})

if (HAVE_CUDA AND NOT ENABLE_DYNAMIC_CUDA)
  source_group("Src\\Cuda"      FILES ${lib_cuda} ${lib_cuda_hdrs})
endif()

if (NOT HAVE_CUDA OR ENABLE_DYNAMIC_CUDA)
  ocv_glob_module_sources(SOURCES "${opencv_core_BINARY_DIR}/version_string.inc"
                          HEADERS ${lib_cuda_hdrs} ${lib_cuda_hdrs_detail})
else()
  ocv_glob_module_sources(SOURCES "${opencv_core_BINARY_DIR}/version_string.inc" ${lib_cuda} ${cuda_objs}
                          HEADERS ${lib_cuda_hdrs} ${lib_cuda_hdrs_detail})
endif()

ocv_create_module()
ocv_add_precompiled_headers(${the_module})

ocv_add_accuracy_tests()
ocv_add_perf_tests()

=== modules/features2d/CMakeLists.txt ===
set(the_description "2D Features Framework")
ocv_define_module(features2d opencv_imgproc opencv_flann OPTIONAL opencv_highgui)

=== debian/changelog ===
opencv (2.4.8+dfsg1-2ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Feb 2014 11:10:42 +0000

opencv (2.4.8+dfsg1-2) unstable; urgency=medium

  * Update debian/control. 
    - Add libopencv-java and libopencv-jni to Depends of libopencv-dev.
    - Update depends of libopencv-jni, libopencv-java and libopencv-dev.
  * Update debian/libopencv2.4-jni.install.
    Fix install path of libopencv_java248.so
  * Update debian/rules.
    Fix install path of jni library.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Feb 2014 06:16:59 +0900

opencv (2.4.8+dfsg1-1) unstable; urgency=low

  * Update to new source.
    Remove Milky directory in modules/highgui/src/files_Qt/.
  * Update debian/control.
    Add libopencv-ocl-dev to Depends of libopencv-dev. (Closes: #737584)
  * Update libopencv-dev.install.
    Install OpenCVModules-release.cmake and OpenCVModules.cmake.
    (Closes: #737153)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 12 Feb 2014 16:37:21 +0900

opencv (2.4.8+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable, remaining changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
  * Drop patch detect_sphinx now upstream
  * Drop detect_opencl now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 16:29:04 +0000

opencv (2.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Jan 2014 12:28:02 +0900

opencv (2.4.7+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #732063)
  * Add patches/revert-Make-ts-always-static.
  * Add ocl library. (Closes: #732028, #720092)
  * Add java library. (Closes: #728221)
  * Update debian/control.
    - Remove Vcs-Svn field and add Vcs-Git field.
    - Update Vcs-Browser field.
    - Update Homepage field.
    - Bumped standards-version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Dec 2013 08:17:57 +0900

opencv (2.4.6.1+dfsg-2) unstable; urgency=low

  [ Anton Gladky ]
  * Replace libeigen2-dev by libeigen3-dev. (Closes: #726155)
  
  [ Nobuhiro Iwamatsu ]
  * FTBFS on sparc64. (Closes: #714923)
    Add patches/change_type_from_int_to_Atomic_word.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 23 Nov 2013 11:31:08 +0900

opencv (2.4.6.1+dfsg-2ubuntu5) trusty; urgency=medium

  * Don't build OpenGL on armhf; not useful there.  

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 Jan 2014 11:19:15 +0000

opencv (2.4.6.1+dfsg-2ubuntu4) trusty; urgency=medium

  * Arch-restrict OpenCL binary packages for now, due to 1263801.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Dec 2013 11:54:25 -0700

opencv (2.4.6.1+dfsg-2ubuntu3) trusty; urgency=medium

  * Enable TBB support on all, but arm64 (not available).
  * Disable OpenCL support on ppc64el, FTBFS see bug 1263801.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 23:43:41 +0000

opencv (2.4.6.1+dfsg-2ubuntu2) trusty; urgency=low

  * Add patch detect_sphinx to fix detection of Python Sphinx

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Dec 2013 13:00:18 +0000

opencv (2.4.6.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable, remaining changes:
   - build-dep on ocl-icd-opencl-dev and add libopencv-ocl-dev to libcv-dev depends
     and add libopencv-ocl2.4 and libopencv-ocl-dev packages
  * Add detect_opencl to build ocl with multiarched libraries
  * opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
  * Add detect_opencl to fix finding opencl library with multiarch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 16:23:54 +0000

opencv (2.4.6.1+dfsg-1) unstable; urgency=low

  * Upload to unstable. (Closes: #719998, #716811)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Sep 2013 06:28:00 +0900

opencv (2.4.6.1+dfsg-0exp4) experimental; urgency=low

  * Update debian/control.
    - Fix fails to upgrade from testing by opencv-data. (Closes: #722927)
    - Change Vcs host to anonscm.debian.org.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Sep 2013 08:16:39 +0900

opencv (2.4.6.1+dfsg-0exp3) experimental; urgency=low

  * Update patches/pkg-config. (Closes: #678222, #721894)
    Fix broken pkg-config file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Sep 2013 13:51:39 +0900

opencv (2.4.6.1+dfsg-0exp2) unstable; urgency=low

  * Update debian/rules.
    - Move configuration for 1394 and V4L to CMAKE_ARCH_FLAGS.
      Thanks to Pino Toscano.
    - Change from target name from override_dh_fixperms to
      override_dh_fixperms-indep.
  * Add fix_ftbfs_on_non_linux.patch.
    Fix FTBFS on non linux. (Closes: #719741)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 04 Sep 2013 10:22:46 +0900

opencv (2.4.6.1+dfsg-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Add libgtkglext1-dev, libgl1-mesa-dev and libglu1-mesa-dev
      to Build-Depends.
    - Remove swig from Build-Depends.
  * Update debian/rules.
    - Enable OpenGL.
  * Update patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Aug 2013 12:37:41 +0900

opencv (2.4.5+dfsg-0exp1) experimental; urgency=low

  * New upstream release. (Closes: #716811)
  * Update debian/control.


=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie,+fortify
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# SSE options
ifeq ($(DEB_HOST_ARCH),amd64)
CMAKE_ARCH_FLAGS = -DENABLE_SSE=ON -DENABLE_SSE2=ON -DENABLE_SSE3=OFF 
else
CMAKE_ARCH_FLAGS = -DENABLE_SSE=OFF -DENABLE_SSE2=OFF -DENABLE_SSE3=OFF 
endif

# No GL on armhf
ifneq ($(DEB_HOST_ARCH),armhf)
CMAKE_ARCH_FLAGS += -DWITH_OPENGL=ON
else
CMAKE_ARCH_FLAGS += -DWITH_OPENGL=OFF
endif

# TBB support
ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 ia64 powerpc ppc64))
CMAKE_ARCH_FLAGS += -DWITH_TBB=ON
else
CMAKE_ARCH_FLAGS += -DWITH_TBB=OFF
endif

# Linux-specific stuff
ifeq ($(DEB_HOST_ARCH_OS),linux)
CMAKE_ARCH_FLAGS += -DWITH_1394=ON -DWITH_V4L=ON
else
CMAKE_ARCH_FLAGS += -DWITH_1394=OFF -DWITH_V4L=OFF
endif

# For Java
export JAVA_HOME=/usr/lib/jvm/default-java

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
	-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DCMAKE_BUILD_TYPE=Release	\
	-DBUILD_EXAMPLES=ON	\
	-DINSTALL_C_EXAMPLES=ON	\
	-DINSTALL_PYTHON_EXAMPLES=ON	\
	-DBUILD_NEW_PYTHON_SUPPORT=ON	\
	-DWITH_FFMPEG=ON	\
	-DWITH_GSTREAMER=OFF	\
	-DWITH_GTK=ON	\
	-DWITH_JASPER=ON	\
	-DWITH_JPEG=ON	\
	-DWITH_PNG=ON	\
	-DWITH_TIFF=ON	\
	-DWITH_OPENEXR=ON \
	-DWITH_PVAPI=ON	\
	-DWITH_UNICAP=OFF	\
	-DWITH_EIGEN=ON \
	-DWITH_XINE=OFF	\
	-DBUILD_TESTS=OFF \
	-DCMAKE_SKIP_RPATH=ON \
	-DWITH_CUDA=OFF \
	$(CMAKE_ARCH_FLAGS)
# -DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/"

%:
	dh $@ --buildsystem=cmake --with python2 --with javahelper

override_dh_clean:
	rm -rf modules/python/src2/hdr_parser.pyc
	rm -rf modules/java/generator/rst_parser.pyc
	rm -rf modules/refman.rst

	dh_clean -O--buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_install:
	-rm --verbose -rf debian/tmp/usr/share/opencv/samples/octave
	-rm --verbose -rf debian/tmp/usr/share/opencv/samples/c/cvsample.dsp
	-rm --verbose -rf debian/tmp/usr/share/OpenCV/doc/license.txt

	# change install path of java library
	sed -i -e "s@share\/OpenCV\/java\/@lib\/jni\/@g" \
		debian/tmp/usr/share/OpenCV/OpenCVModules-release.cmake

	for f in $$(ls obj-*/lib/libopencv_*_s.a); do \
		cp --verbose --preserve=mode $$f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$$(basename $$f _s.a).a; done
	dh_install -O--buildsystem=cmake --list-missing

override_dh_fixperms-indep:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/opencv-doc/usr/share/doc/opencv-doc/examples/python/*.py
	chmod 644 $(CURDIR)/debian/opencv-doc/usr/share/doc/opencv-doc/examples/python2/*.py

## opencv 2.4.9+dfsg

=== debian/changelog ===
opencv (2.4.9+dfsg-1ubuntu4) utopic; urgency=medium

  * Build-depend on libtbb-dev on ppc64el.
  * Re-enable the OpenCL support on ppc64el.
  * Re-enable use of precompiled headers on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 12:06:19 +0200

opencv (2.4.9+dfsg-1ubuntu3) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:47:49 +0100

opencv (2.4.9+dfsg-1ubuntu2) utopic; urgency=medium

  * Restore change to disable use of precompiled headers on arm64, lost in
    the previous merge.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Jul 2014 10:59:53 +0100

opencv (2.4.9+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, renaming changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)

 -- Rick Timmis (Sick Rimmit) <Rick.Timmis@Abazander.com>  Wed, 23 Jul 2014 17:56:50 +0000

opencv (2.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes:#753689)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Jul 2014 07:58:34 +0900

=== debian/control ===
Source: opencv
Priority: optional
Section: devel
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
		Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8.7),
 libavcodec-dev, libavformat-dev, libswscale-dev, libgtk2.0-dev, libgtkglext1-dev,
 libgl1-mesa-dev, libglu1-mesa-dev,
 libjasper-dev (>= 1.900.1),
 libjpeg-dev,
 libpng-dev,
 libtiff-dev,
 libopenexr-dev (>= 1.4.0),
 libraw1394-dev [linux-any],
 libdc1394-22-dev [linux-any],
 libv4l-dev [linux-any],
 zlib1g-dev (>= 1.2.5),
 liblapack-dev (>= 3.2.1),
 libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
 libeigen3-dev,
 libopencv-ml-dev,
 ocl-icd-opencl-dev,
 python-dev,
 python-support (>= 0.4.1),
 python-numpy,
 python-sphinx,
 ant, default-jdk, javahelper,
 texlive-fonts-extra, texlive-latex-extra, texlive-latex-recommended,
 latex-xcolor, texlive-fonts-recommended
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/opencv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/opencv.git;a=summary
Homepage: http://opencv.org/

Package: opencv-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libopencv-doc
Replaces: libopencv-doc
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	pkg-config,
	libopencv-core-dev,
	libopencv-imgproc-dev,
	libopencv-flann-dev,
	libopencv-features2d-dev,
	libopencv-calib3d-dev,
	libopencv-objdetect-dev,
	libopencv-legacy-dev,
	libopencv-video-dev,
        libopencv-ml-dev,
        libopencv-ocl-dev
Conflicts: libcvaux-dev (<= 2.1.0-7), libhighgui-dev (<= 2.1.0-7)
Description: Translation package for libcv-dev
 This package provide files for translation from libcv-dev to
 subdivided packages.
 .
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcv2.4
Architecture: all
Depends: ${misc:Depends},
	libopencv-core2.4,
	libopencv-imgproc2.4,
	libopencv-flann2.4,
	libopencv-features2d2.4,
	libopencv-calib3d2.4,
	libopencv-objdetect2.4,
	libopencv-legacy2.4,
	libopencv-video2.4,
	libopencv-ml2.4
Description: computer vision library - libcv* translation package
 This package provide files for translation from libcv2.1 to libcv2.4.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libhighgui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	pkg-config,
	libopencv-highgui-dev
Description: Translation package for libhighgui-dev
 This package provide files for translation from libhighgui-dev to
 subdivided packages.
 .
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libhighgui2.4
Architecture: all
Depends: ${misc:Depends},
	libopencv-highgui2.4
Description: computer vision library - libhighgui translation package
 This package provide files for translation from libhighgui2.1 to libhighgui2.4.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcvaux-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	pkg-config,
	libopencv-core-dev,
	libopencv-imgproc-dev,
	libopencv-features2d-dev,
	libopencv-calib3d-dev,
	libopencv-objdetect-dev,
	libopencv-legacy-dev,
	libopencv-video-dev,
	libopencv-contrib-dev
Description: Translation package for libcvaux-dev
 This package provide files for translation from libcvaux-dev to
 subdivided packages.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcvaux2.4
Architecture: all
Depends: ${misc:Depends},
	libopencv-core2.4,
	libopencv-imgproc2.4,
	libopencv-features2d2.4,
	libopencv-calib3d2.4,
	libopencv-objdetect2.4,
	libopencv-legacy2.4,
	libopencv-video2.4,
	libopencv-contrib2.4
Description: computer vision library - libcvaux translation package
 This package provide files for translation from libcvaux2.1 to libcvaux2.4.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	libopencv-core-dev (= ${binary:Version}),
	libopencv-ml-dev (= ${binary:Version}),
	libopencv-imgproc-dev (= ${binary:Version}),
	libopencv-video-dev (= ${binary:Version}),
	libopencv-objdetect-dev (= ${binary:Version}),
	libopencv-highgui-dev (= ${binary:Version}),
	libopencv-calib3d-dev (= ${binary:Version}),
	libopencv-flann-dev (= ${binary:Version}),
	libopencv-features2d-dev (= ${binary:Version}),
	libopencv-legacy-dev (= ${binary:Version}),
	libopencv-contrib-dev (= ${binary:Version}),
	libopencv-ts-dev (= ${binary:Version}),
	libopencv-photo-dev (= ${binary:Version}),
	libopencv-videostab-dev (= ${binary:Version}),
	libopencv-stitching-dev (= ${binary:Version}),
	libopencv-gpu-dev (= ${binary:Version}),
	libopencv-superres-dev (= ${binary:Version}),
	libopencv-ocl-dev (= ${binary:Version}),
	libopencv2.4-java (= ${source:Version}),
	libopencv2.4-jni (= ${binary:Version}),
	libcv-dev (= ${binary:Version}),
	libhighgui-dev (= ${binary:Version}),
	libcvaux-dev (= ${binary:Version}),
	pkg-config
Recommends: opencv-data
Breaks: libopencv-core-dev (<= 2.3.1-8)
Description: development files for opencv
 This is a metapackage providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: opencv-data
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Breaks: libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
Description: development data for opencv
 This is a metapackage providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libopencv-core2.4 (= ${binary:Version}),
	zlib1g-dev
Description: development files for libopencv-core
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) core.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core2.4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 CMAKE_ARCH_FLAGS = -DENABLE_SSE=OFF -DENABLE_SSE2=OFF -DENABLE_SSE3=OFF 
 endif
 
+# No precompiled headers on arm64
+ifeq ($(DEB_HOST_ARCH),arm64)
+CMAKE_ARCH_FLAGS += -DENABLE_PRECOMPILED_HEADERS=OFF
+endif
+
 # No GL on armhf
 ifneq ($(DEB_HOST_ARCH),armhf)
 CMAKE_ARCH_FLAGS += -DWITH_OPENGL=ON
@@ -20,7 +25,7 @@
 endif
 
 # TBB support
-ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 ia64 powerpc ppc64))
+ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 ia64 powerpc ppc64 ppc64el))
 CMAKE_ARCH_FLAGS += -DWITH_TBB=ON
 else
 CMAKE_ARCH_FLAGS += -DWITH_TBB=OFF
